package com.kdanmobile.android.lib.material.tokens.category

import org.json.JSONObject

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2023/2/13
 * description: 解析token接口
 */
interface IParseToken {

    /**
     * 解析相关token数据
     */
    fun parse(rootKey : String, jsonObject: JSONObject)


    /**
     * 生成文件
     */
    fun generateTokenFile(destFilePath: String?)


}